Subject: dhcp3-relay: dhcrelay3 is also relaying packets on the interface of the dhcp server

From: Fabrice Lorrain <[email-masked]>
Date: Thu, 16 Dec 2004 23:55:45 +0100

Package: dhcp3-relay
Version: 3.0.1-1
Severity: normal

Hello,

Playing with dhcrelay3 at work this afternoon, I discover that it was
also relaying dhcp packets in the VLAN were the dhcp server was. So the
server was receving and logging two packets for each client request in
this VLAN.

This comportement seems suboptimal as the dhcp server already recieves
all the request on its VLANs. 

The configuration was the following :
dhcrelay3 running on a debian pre-sarge router (10.17.0.1) with
/usr/sbin/dhcrelay3 -q -i eth3 -i eth5 10.17.0.15

The client to relay where behind eth3 and were receving there lease
correctly.

But on eth5 is a shared network with several subnets including hundreds
of workstations. As soon as I started dhcprelay3 on the router I started
to have redundant lines in dhcp log file like the following :

Dec 16 23:54:00 buster dhcpd: DHCPREQUEST for 10.17.33.18 from
00:06:5b:25:76:aa via eth1
Dec 16 23:54:00 buster dhcpd: DHCPACK on 10.17.33.18 to 00:06:5b:25:76:aa
via eth1
Dec 16 23:54:00 buster dhcpd: DHCPREQUEST for 10.17.33.18 from
00:06:5b:25:76:aa via 10.17.0.1
Dec 16 23:54:00 buster dhcpd: DHCPACK on 10.17.33.18 to 00:06:5b:25:76:aa
via 10.17.0.1

@+,

	Fab

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-arkhamN
Locale: LANG=fr, LC_CTYPE=ISO-8859-15 (charmap=ISO-8859-15) (ignored: LC_ALL set to fr_FR@euro)

Versions of packages dhcp3-relay depends on:
ii  debconf                     1.4.41       Debian configuration management sy
ii  debianutils                 2.11.0       Miscellaneous utilities specific t
ii  dhcp3-common                3.0.1-1      Common files used by all the dhcp3
ii  libc6                       2.3.2.ds1-19 GNU C Library: Shared libraries an

-- debconf information excluded